#
# spec file for package python3-raven
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-raven
Version:        5.5.0
Release:        4.1
Url:            https://pypi.python.org/pypi/raven
Summary:        A client for Sentry
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/r/raven/raven-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-aiohttp
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-aiohttp
Requires:       python3-certifi
BuildArch:      noarch

%description
Raven is a Python client for Sentry. It provides full out-of-the-box support for many
of the popular frameworks, including Django, Flask, and Pylons.
Raven also includes drop-in support for any WSGI-compatible web application.

%prep
%setup -q -n raven-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/%{python3_sitelib}/raven/data/cacert.pem
chmod +x %{buildroot}/%{python3_sitelib}/raven/contrib/zope/__init__.py

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/raven
%{python3_sitelib}/*

%changelog
* Sun Aug 16 2015 arun@gmx.de
- update to version 5.5.0:
  * Added "sys.excepthook" handler (installed by default).
  * Fixed an issue where "wrap_wsgi" wasn't being respected.
  * Various deprecated code removed.
* Sat Jul 18 2015 arun@gmx.de
- update to version 5.4.4:
  * Enforce string-type imports.
- changes from version 5.4.3
  * Python 3 compatibility fixes.
- changes from version 5.4.2
  * Remove scheme checking on transports.
  * Added "SENTRY_TRANSPORT" to Flask and Django configurations.
- changes from version 5.4.1
  * Fixed packaging of 5.4.0 which erronously kept the "aiohttp.py"
    file in the wheel only.
- changes from version 5.4.0:
  * Binding transports via a scheme prefix on DSNs is now deprecated.
  * "raven.conf.load" has been removed.
  * Upstream-related configuration (such as url, project_id, and keys)
    is now contained in "RemoteConfig" attached to "Client.remote" *
    The "aiohttp" transport has been moved to "raven-aiohttp" package.
* Sat May  2 2015 arun@gmx.de
- update to version 5.3.1:
  * Restored support for patching Django's BaseCommand.execute.
- changes from Version 5.3.0:
  * The UDP transport has been removed.
  * The integrated Sentry+Django client has been removed. This is now
    part of Sentry core.
  * Server configuration *must* now be specified with a DSN.
  * Upstream errors now have increased verbosity in logs.
  * Unsent events now log to 'sentry.errors.uncaught'.
  * Django management commands should now effectively autopatch (when
    run from the CLI).
  * Flask wrapper now includes user_context, tags_context, and
    extra_context helpers.
  * Python version is now reported with modules.
* Mon Apr 13 2015 andrea@opensuse.org
- Fixed license tag
* Wed Apr  1 2015 andrea@opensuse.org
- New package
